Introduction

What is VAIO Media?

VAIO Media is software that enables the delivering, and viewing of content (music, photos, videos, and TV) among devices connected to a home network.

With VAIO Media, computers and devices on a home network are divided into clients and servers.

  • A device that delivers content within the home network is a server. Servers include computers running VAIO Media Integrated Server and Content Collection described later and recording devices equipped with support for the network delivery function (such computers and devices are hereafter referred to as "server devices").
  • A device that (functions as a player) plays and views content delivered from a server is a client. Clients include computers with VAIO Media installed and RoomLink devices (such computers and devices are hereafter referred to as "client devices").

VAIO Media Server Settings enables you to configure settings related to the server functions of VAIO Media so that you can use the computer as a VAIO Media server device. The server functions include VAIO Media Integrated Server and Content Collection.

What is VAIO Media Integrated Server?

VAIO Media Integrated Server refers to a server function (or a computer running this function) that provides a computer with a function to send content within a home network.

Starting VAIO Media Integrated Server enables content on the computer to be played and viewed from VAIO Media and other devices on the home network. (To put it another way, the server function is disabled and the client device content cannot be played on a client device while VAIO Media Integrated Server is stopped.)

If you connect from a client device to a computer with VAIO Media Integrated Server started on the home network, a list of the content that is permitted to be viewed appears on the client device. Selecting any content from the list enables you to play/view the content via the home network.

What is Content Collection?

Content Collection is a special server function (or a computer running this function) for collecting and maintaining the information on the content of other server devices within the home network.

When there are multiple server devices on the home network, it is hard to search for the content you want to play if you do not know which server device has which content. Using Content Collection to collect and organize information on content within the network enables you to search for content without having to worry about which server device it is on.

Note

The use of Content Collection requires device registration as described below.

  • Register the computer on which Content Collection is installed with a server to collect the content.
  • Register the computers and devices (clients) that will play back content with the computer on which Content Collection is installed.

What You Can Do with VAIO Media Server Settings

VAIO Media Server Settings is software for configuring settings related to the above server functions. Configure the settings for each of VAIO Media Integrated Server and Content Collection.

VAIO Media Integrated Server Settings

  • Start or stop the server function.
  • Prevent content from being played back on unknown clients on the network by registering the clients to permit playback of content (device registration).
  • Specify a folder for enjoying content without using the software preinstalled on VAIO.

Content Collection Settings

  • Start or stop Content Collection.
  • Specify the servers subject to content collection.
  • Specify keywords for sorting the content maintained by Content Collection.

Before using VAIO Media Server Settings

  • You need to configure network settings on the computers and devices within your home to build a network. For details about these settings, refer to the documentation provided with your computers and devices.
  • Settings can only be configured if the corresponding server software is installed. For example, the settings of VAIO Media Integrated Server can only be configured on a computer with VAIO Media Integrated Server installed. Similarly, the settings of Content Collection can only be configured on a computer with Content Collection (VAIO Media Content Collection) installed. Furthermore, when the corresponding function is not installed, explanations related to those settings are not included in this Help.


Starting and Quitting

Note

To use VAIO Media Server Settings to administer a server, you need to log on as a user with administrator privileges. For details about restrictions imposed according to the type of user that logs on, refer to "Restrictions According to User Account."

Starting VAIO Media Server Settings

Click the Start button, point to All Programs, VAIO Media, and Server Administration, and then select VAIO Media Server Settings.

VAIO Media Server Settings starts and then remains resident in the notification area of the taskbar. The VAIO Media Server Settings icon is displayed in the notification area while the software is running.

Furthermore, when VAIO Media Server Settings is started in this way, the VAIO Media Server Settings dialog box appears and you can configure server settings.

Hint

  • You can set VAIO Media Server Settings to start when Windows starts and remain resident in the notification area of the taskbar. To set this option, click the check box next to "Run VAIO Media Server Settings on system startup" on the Information Notification page to add a check mark.
  • When VAIO Media Server Settings is resident, you can perform the following operation to open the VAIO Media Server dialog box.
    • Double-click the VAIO Media Server Settings icon.
    • Click VAIO Media Server Settings and then click "Open VAIO Media Server Settings" in the menu that appears.

Quitting VAIO Media Server Settings

To allow VAIO Media Server Settings to remain resident and just close the VAIO Media Server Settings dialog box, perform one of the following operations.

  • Click the [image] button.
  • Click the OK or Cancel button.

To quit VAIO Media Server Settings

Right-click the icon displayed in the notification area of the taskbar and then click Exit in the menu that appears.

Note

Be careful because quitting VAIO Media Server Settings stops all the server functions of VAIO Media on that computer.


Access Control Settings Page

On the Access Control Settings page, you can set your computer (server) to allow access from other devices (clients) on the network and set access permissions for devices.

"Allow other devices on your network to access this computer" check box
When this check box is selected, the other settings on this page become available, making access to the server from other devices to enjoy content possible.
"Devices on the network" list
Displays devices (clients) that can access the server.
Whether a client is allowed to connect to the server is indicated in the Status column as shown below.
Status Indication | Meaning
Allowed | A device with access permission. This client can connect to and enjoy media files on the server.
Waiting | A device awaiting access permission. This device cannot connect to the server.
Access permission needs to be granted beforehand to the clients you want to use to enjoy content files on the server.

Hint

Up to 20 clients with access permission and up to 16 clients awaiting access permission can be registered to the "Devices on the network" list. Any new device beyond 16 will cause the device that has been awaiting access permission the longest to be removed from the list.
The following buttons are used to manage devices.
  • Allow button
    Grants access permission to a device awaiting access permission.
  • Do not Allow button
    Changes a device with access permission selected in the "Devices on the network" list to a device awaiting access permission.
  • Rename button
    Allows you to rename the device selected in the "Devices on the network" list.
  • Remove button
    Allows you to remove device selected in the "Devices on the network" list.
  • Register button
    Displays a device registration wizard so that you can register device access to the server manually.
"Automatically allow new devices to connect" check box
When you select this check box, any time a new device attempts to access the server it is registered to the "Devices on the network" list as a device with access permission.

Note

Only select this check box for use in a well protected network environment that, for example, incorporates a router with security functions. It is recommended that you leave this check box cleared for use in an ordinary network environment.

"Display a message when a new device attempts to access this computer" check box
When you select this check box, any time a new device attempts to access the server a message balloon appears in the system tray to prompt you to confirm whether to grant the device access permission.

Protecting the content stored on the server

If your server is connected directly to the Internet without using a router or you are in a network environment that can be readily accessed by unknown people (such as in an apartment or condominium complex), unknown devices may be registered automatically, thus allowing them play back your content without permission. To ensure that only specific devices can enjoy the content on your server, you should normally set all other client devices to wait for access permission.

To set a client to wait for access permission, select the device name in the "Devices on the network" list in the Access Control Settings page of VAIO Media Server Settings and then click "Do not Allow."


Firewall Page

The Firewall page allows you to configure settings related to the firewall.

"Access this computer from other devices through Windows Firewall" box
If Windows Firewall is active on the server (this computer), VAIO Media may not be able to be used to connect from a client computer to the server. In this box, you can enable the use of VAIO Media while Windows Firewall is active.
The current status (active or inactive) of Windows Firewall on the computer is displayed in the "Windows Firewall status" box. When Windows Firewall is active and you want to allow communications of VAIO Media for all active network connections, select the check box next to "Allow other devices on the network to access the server on this computer" and click the OK or Apply button. This opens ports for the server to use.
"Port information" box
When using a personal firewall other than Windows Firewall, refer to the port numbers and protocols displayed in the "Port information" box when configuring your personal firewall settings. For details, refer to Preparing your Network for Use with VAIO Media.


Information Notification Page

The Information Notification page allows you to configure settings related to the operation of VAIO Media Server Settings.

"Notification" box
Use the following check boxes to configure how VAIO Media Server Settings operates.
  • Run VAIO Media Server Settings on system startup
    When you select this check box, VAIO Media Server Settings automatically starts every time Windows starts and remains resident in the notification area of the taskbar.


Troubleshooting

Notes

  • The use of Content Collection is limited to computers with Content Collection (VAIO Media Content Collection) preinstalled.
  • The television function may not be available in some countries or regions.

Registering Devices

Attempted to access the server from a new client but the client could not be seen from the server (does not appear in the "Devices on the network" list of VAIO Media Server Settings, a confirmation message does not appear, etc.).
Follow the procedure described in "Setting up the server for client access" and then start VAIO Media on the client and update the server list. If this does not solve the problem, use VAIO Media Server Settings to manually register the client.
For another client device, follow the documentation provided with the device and update the server list. If this does not solve the problem, use VAIO Media Server Settings to manually register the client.
When attempting to register a client on the server manually, an error message appears telling you that registration requests were received from multiple devices.
  • Either the client or the server has more than one network interface installed. In either case, disable any network interface other than the one to be used for the connection and then perform registration.
  • A registration request was issued from another client at the same time. Wait until registration for the other computer completes and then try registration again.

Connecting to the Server

Attempted to access a server from a client but the target server could not be found.
  • The server device may not have been started. Start the computer with the VAIO Media server installed and then use VAIO Media Server Settings to start the server. When using another server device, follow the documentation provided with the device and start the server device.
  • The server may not be operating normally. When using a VAIO Media server, use VAIO Media Server Settings to verify the status of the server. When using another server device, follow the documentation provided with the server device and verify the status of the server.
  • Verify the status of the network. (Verify whether, for example, the network cable is properly connected or the server and client are on the same segment of the network.)
  • If the firewall function (Windows Firewall function, Internet Connection Firewall function, etc.) of Windows Vista or Windows XP on the client or server is enabled or you are using software with a personal firewall function, VAIO Media may not operate properly. Add VAIO Media as an exception of Windows Firewall on the Firewall Settings page of the VAIO Media Settings screen. Start VAIO Media Server Settings on the computer to be used as the VAIO Media server and configure the Windows firewall and Internet connection firewall settings on the Firewall page so that the client can access the server. When using another device, follow the documentation provided with the device and configure the settings so that the device operates properly.
  • The server list of the client device may not have been updated. Update the information by redisplaying the server list with VAIO Media or restart VAIO Media. When using another client device, follow the documentation provided with the device and update the server list.
Attempted to connect to the server from a client but was unable to connect to the server.
  • Connecting to the server is not possible if the client is not registered on the server. When using a VAIO Media server, use VAIO Media Server Settings to register the device. For details on registering a device, refer to "Preparing Your Network for Use with VAIO Media." When using another server device, follow the documentation provided with the device and configure the settings so that the client device can access the server.
  • Attempting to connect to a server from VAIO Media immediately after starting the computer (within a few minutes) on which the VAIO Media server is started may result in an error. Wait a while and then try connecting again.
  • If the computer to be used as the client has more than one network interface, the computer may be attempting to communicate from an unregistered interface. When using VAIO Media with more than one network interface, register each of the interfaces.
  • The server may already have the maximum number of clients registered. When using a VAIO Media server, use VAIO Media Server Settings to verify the number of registered devices in "Devices on the network" and remove unnecessary devices if the maximum limit has already been reached. The maximum limits are 20 devices with access permission and 16 devices awaiting access permission. When using another server device, follow the documentation provided with the server device and verify the registration status.
An error message appears in VAIO Media telling you that you cannot connect because the server is being used by another device.
  • This may occur when another client is connected to the server to watch a video. Wait until the other client disconnects from the server.
  • When a server is being used for recording or watching TV, a client may be unable to connect to the server normally. Wait until the server is no longer being used for recording or watching TV.
  • Some server devices may restrict the number of clients. Confirm the settings of the server device.

Browsing Content

Connected to the server but could not find the content I am looking for.
  • With VAIO Media Integrated Server, even if music, photo, and video content exists on the computer, it cannot be played back on a client if it is not registered with the software preinstalled on the VAIO or is not stored in a specified ordinary file monitor folder. For details, refer to "Storing Content on a Server."
  • TV cannot be watched with VAIO Media if the following settings and operations have not been configured/performed. If you are unable to watch TV, make sure the following settings and operations have been configured/performed.
    1. Set the channels in the TV viewing/recording software (Windows Media Center, VAIO Zone, or Giga Pocket) on the computer to be used as the server.
    2. After performing Step 1 above, stop and then start VAIO Media Integrated Server with VAIO Media Server Settings (or restart the computer).
  • If the TV viewing/recording software is uninstalled from the computer (Windows Media Center, VAIO Zone, or Giga Pocket), VAIO Media may not be able to be used to watch videos and TV. Reinstalled the uninstalled software.
  • Even if Content Collection is started, there will be no content on Content Collection until collection of the content completes. Start VAIO Media Server settings and register a server on the Content sources page. Furthermore, collection will fail if device registration has not been performed on the content source servers. Register the computer on which Content Collection is started with the content source servers.
  • When using another server device, follow the documentation provided with the device and confirm that content can be accessed properly.
The content list for a registered folder is not displayed.
If the folder level of the folder set to be accessed with VAIO Media Server Settings is too deep, the content list may not be able to be displayed properly on some clients. Reorganize the folders.
New content (music, photos, and videos) was added to the server but it cannot be viewed from the client.
If content was added to the server after VAIO Media was started, VAIO Media may not display that content properly. Align the mouse pointer on the left of the window to display the menu and click "Update" or restart VAIO Media. When using another client device, follow the documentation provided with the client device and update the content list.
Content (music, photos, and videos) that was deleted from the server can still be viewed from the client.
If content was deleted from the server after VAIO Media was started, VAIO Media may not display that content properly. Align the mouse pointer on the left of the window to display the menu and click "Update" or restart VAIO Media. When using another client device, follow the documentation provided with the client device and update the content list.
It takes some time for a list of music, photos, and videos to appear on the screen.
  • If the folder that you selected contains an especially large number of files (music, photos, and videos), it may take some time before the list appears on the screen.
  • It may take some time if sorting is specified in VAIO Media. Align the mouse pointer on the left of the window to display the menu and then select None from Sort.

Viewing/Playing Content

Cannot play music.
  • You may not be able to play ATRAC3 or ATRAC3plus format music files that are currently being played with another program such as SonicStage or VAIO Media.
  • Only WAV files with coding in linear PCM format are supported by VAIO media. Other WAV files are not supported.
  • VAIO Media cannot properly handle MP3 files recorded at a variable bit rate (VBR). When these files are played, playback may be cut off or the correct track time may not be displayed. If this happens, re-encode the MP3 file at a constant bit rate (CBR).
  • When using another client device, the delivery format of the VAIO Media server may not be able to be played. Confirm the formats that can be played in the documentation provided with the device.
  • When using another server device, a format that VAIO Media can play may not be able to be delivered. Confirm the formats that can be delivered in the documentation provided with the device.
  • When you play content from Content Collection, playback is performed between the content source server device and the client device. Check the above points for the content source server. Also check the following points.
    • The content source server device may not have been started. Start the computer with the VAIO Media server installed and then use VAIO Media Server Settings to start the server. When using another server device, follow the documentation provided with the device and start the server device.
    • The client device may not be registered on the content source server device. When using a VAIO Media server, use VAIO Media Server Settings to register the device. For details on registering a device, refer to "Preparing Your Network for Use with VAIO Media." When using another server device, follow the documentation provided with the device and configure the settings so that the client device can access the server.
Cannot view photos.
  • Confirm the image save format of the VAIO Media server. You can only view images of BMP, JPEG, GIF, TIFF, and PNG formats with VAIO Media.
  • Verify that your photos are registered on the server. When using a VAIO Media server, refer to "Storing Content on a Server" for details. When using another server device, follow and check the documentation provided with the device.
  • When using another client device, the delivery format of the VAIO Media server may not be able to be played. Confirm the formats that can be played in the documentation provided with the device.
  • When using another server device, a format that VAIO Media can play may not be able to be delivered. Confirm the formats that can be delivered in the documentation provided with the device.
  • When you play content from Content Collection, playback is performed between the content source server device and the client device. Check the above points for the content source server. Also check the following points.
    • The content source server device may not have been started. Start the computer with the VAIO Media server installed and then use VAIO Media Server Settings to start the server. When using another server device, follow the documentation provided with the device and start the server device.
    • The client device may not be registered on the content source server device. When using a VAIO Media server, use VAIO Media Server Settings to register the device. For details on registering a device, refer to "Preparing Your Network for Use with VAIO Media." When using another server device, follow the documentation provided with the device and configure the settings so that the client device can access the server.
Cannot view videos.
  • If the TV viewing/recording software (Windows Media Center, VAIO Zone, or Giga Pocket) is uninstalled from the computer used as the VAIO Media server, videos may not be able to be watched with VAIO Media. Reinstalled the uninstalled software.
  • When using another client device, the delivery format of the VAIO Media server may not be able to be played. Confirm the formats that can be played in the documentation provided with the device.
  • When using another server device, a format that VAIO Media can play may not be able to be delivered. Confirm the formats that can be delivered in the documentation provided with the device.
  • When you play content from Content Collection, playback is performed between the content source server device and the client device. Check the above points for the content source server. Also check the following points.
    • The content source server device may not have been started. Start the computer with the VAIO Media server installed and then use VAIO Media Server Settings to start the server. When using another server device, follow the documentation provided with the device and start the server device.
    • The client device may not be registered on the content source server device. When using a VAIO Media server, use VAIO Media Server Settings to register the device. For details on registering a device, refer to "Preparing Your Network for Use with VAIO Media." When using another server device, follow the documentation provided with the device and configure the settings so that the client device can access the server.
Cannot watch TV.
  • TV cannot be watched with VAIO Media if the following settings and operations have not been configured/performed. If you are unable to watch TV, make sure the following settings and operations have been configured/performed.
    1. Set the channels in the TV viewing/recording software (Windows Media Center, VAIO Zone, or Giga Pocket) on the computer to be used as the VAIO Media server.
    2. After performing Step 1 above, stop and then start the server with VAIO Media Server Settings (or restart the computer).
  • If the TV viewing/recording software (Windows Media Center, VAIO Zone, or Giga Pocket) is uninstalled from the computer used as the VAIO Media server, TV may not be able to be watched with VAIO Media. Reinstalled the uninstalled software.
Cannot play back music and videos smoothly.
  • Music and videos may not play back normally or may not play back smoothly depending on the network devices used or network conditions. In particular, when using a wireless network, music and videos may not play back normally because of the connection state. In such a case, you may be able to solve the problem by modifying the settings in the settings screen as follows.
  • When there is a problem while displaying the TV with VAIO Media, display the TV Settings page in the settings screen and select a picture quality lower (low load) than the value currently set.
  • If you use other programs while you play back music or videos with VAIO Media, the problem may occur because of the increased processing load on your computer. Close some or all the programs except VAIO Media to solve the problem.
  • If the server is being powered by the battery, processing capacity is reduced if the server switches to power saving mode. In this state, videos may not play back smoothly on the client. Use an AC adapter to connect the server to a power outlet.
  • If the video conversion setting on the server is set to high image quality, videos may not play back smoothly. Start VAIO Media Server Settings on the server and set the picture quality of videos after conversion to low picture quality with the "MPEG2 conversion" setting on the Conversion page.
  • If music does not play back smoothly, try converting the music saved on the server to a lower bit rate.
Takes 5 to 10 seconds for playback to start.
When a server converts video to MPEG2 format, it takes several seconds for playback to start. Playback takes a while to start not only when playback of a video is started but also when you change the playback position with the slider.
Cannot view a slideshow of photos.
  • If the number of photos (image files) stored in the folder and/or subfolders specified for the slideshow is too large, you may not be able to view the slideshow. Reduce the number of photos in the folder and/or subfolders.
When attempting to fast-forward during video playback, a message appears saying that fast-forwarding is not possible, and playback pauses.
  • Depending on your server, the range available for fast-forward playback may be limited. If this is the case, fast-forward playback can only be performed in the sections of video that have already played back.
  • When you play content from Content Collection, playback is performed between the content source server device and the client device. Depending on the content source server, the range available for fast-forward playback may be limited. If this is the case, fast-forward playback can only be performed in the sections of video that have already played back.
The playback screen becomes black during playback of a video.
  • The playback screen may become black if you change the size of the window during playback of a video.
  • If you are using VAIO Media on a computer with multiple monitors connected, the playback screen may become black if you move the VAIO Media window between monitors. In such a case, you can use the following methods to redisplay the video properly.
  • Press any key or move the mouse pointer.
  • Stop and then restart the video.

Content Collection

A server was set as a content source but "Need device registration" is displayed and content information is not collected.
  • Content Collection needs to be registered with a content source server to collect the information of the server.
    • When the content source server is a VAIO Media server, use VAIO Media Server Settings to register the computer on which Content Collection was started. For details on registering a device, refer to "Preparing Your Network for Use with VAIO Media."
    • When the content source server is another server device, follow the documentation provided with the device and register the computer on which Content Collection was started.
Changes to content of a content source server are not reflected on Content Collection.
  • The time set for the update interval may not have elapsed since the last update. Start VAIO Media Server Settings, select the target server in the "Content sources" list on the Content sources page, and then click the Refresh button.
  • Depending on the server, Content Collection may not be able to determine whether the content has been updated. Start VAIO Media Server Settings, select the target server in the "Content sources" list on the Content sources page, and then click the Refresh button.

Uploading Photos

Cannot upload photos to a VAIO Media server.
  • Photos can only be uploaded to a VAIO Media Integrated Server. It is not possible to upload to Content Collection. Check that you are connected to VAIO Media Integrated Server.
  • If you are using PictureGear Studio 1.0 to perform this operation, you cannot upload photos.
  • Even if you did not set any password, the server may prompt you to input a password when you try to upload photos with PictureGear Studio or Network Smart Capture. If this happens, start the VAIO Media Server Settings, click the VAIO Media Integrated Server page, and then select the "Allow other programs and devices to register and delete media content" check box under "Register or delete content from other programs and devices".
  • You cannot upload photos to the server's "top folder" or "registered folders", nor to folders reserved for video and/or music. To upload photos, specify the folder set with VAIO Media Server Settings.

Other Problems

Server operation becomes slow during use.
  • The server may sometimes convert video data when playing video files in a folder registered with VAIO Media Server Settings. In such a case, demand on the server becomes heavier and operation becomes slower.
  • If the server is being powered by the battery, processing capacity is reduced if the server switches to power saving mode. Use an AC adapter to connect the server to a power outlet.
  • If the video conversion setting of the server is set to high quality, the demand on the server may be heavy and operation may be slow. Start VAIO Media Server Settings on the server and set the picture quality of videos after conversion to low picture quality with the "MPEG2 conversion" setting on the Conversion page.
  • If Content Collection collects information frequently, operation may become slow. Start VAIO Media Server Settings and set a longer update interval for each server on the Content sources page.
The server does not enter sleep/standby or hibernate mode automatically.
  • The server will not enter sleep/standby or hibernate mode during streaming (playback from a client on the network). The server will enter sleep/standby or hibernate mode when the set amount of time elapses after streaming ends.
VAIO Media stops responding.
If the connection to the server is disconnected for any of the following reasons during playback, VAIO Media may stop responding.
  • The server was turned off.
  • The computer of the server was manually set to sleep/standby or hibernate mode.
  • The network cable was disconnected.
Do not stop the server or disconnect a network cable during playback. If VAIO Media stops responding, restart the computer.
The program may sometimes stop operating properly if you double-click an item in VAIO Media.
VAIO Media is a single-click program. In other words, you only need to click items once to open/display them. If you double-click a menu or a button, VAIO Media operation may become unstable. If this happens, restart the program.


Miscellaneous

Caution

  • Even when the server is set to automatically enter sleep/standby or hibernate mode after a certain amount of time elapses, it does not do so at the following times.
    However, if the server is being powered by the battery and the remaining battery power is insufficient or the server is turned off manually, the server immediately enters sleep/standby or hibernate mode and playback stops.
    • When a connected client is playing back content on the server.
    • When a connected client is obtaining the content list on the server.
  • In order to record and store TV broadcasts on the server, your computer must be equipped with a TV tuner. Also, recording methods may differ depending on your computer model.

Confirmed Problems

  • If the demand on the computer of the server is too heavy, uploading photos with the Fixed Point Observation function of Network Smart Capture may fail. In such a case, end any other programs being used on the server and then try uploading again.
  • If a short upload interval is set for uploading photos with the Fixed Point Observation function of Network Smart Capture, some photos may not be able to be uploaded. In such a case, set a longer interval for the Fixed Point Observation function.

User Account Limitations

To use VAIO Media Server Settings, you need to be logged on as a user with administrator privileges.

Therefore, the following points need to be taken into consideration, depending on the operating system of the computer.

For Windows Vista

If you attempt to run VAIO Media Server Settings while logged on as a standard user, a dialog box appears to request the permission of a user with an administrator account. If you enter the password for an administrator account in this dialog box and then click the Submit button, VAIO Media Server Settings can also be run by a standard user. Therefore, the password for an administrator account is also needed for a standard user to run VAIO Media Server Settings.

Furthermore, when you attempt to run VAIO Media Server Settings while you are logged on as an administrator, a dialog box may appear to request your permission to continue. Click the Continue button.

For Windows XP

You need to be logged on as the computer administrator or another user with administrator privileges. If you logged on as a standard user, log on as the computer administrator.

Trademarks

Copyright 2003, 2004, 2005, 2006, 2007 Sony Corporation

  • is a trademark of Sony Corporation.
  • HDV and HDV logo are trademarks of Sony Corporation and Victor Company of Japan, Limited.
  • Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.
  • Intel and Pentium are trademarks or registered trademarks of Intel Corporation.
  • All other system names and product names appearing in this document are generally the registered trademarks or trademarks of their respective manufacturers. Further, the trademark (TM) and registered trademark (R) symbols are not indicated throughout this document.


Preparing your Network for use with VAIO Media

Preparing your Network for use with
VAIO Media
This section explains how VAIO Media is used to enjoy listening to music, viewing photos, watching recorded video and Live Television* on your computer.
*
The TV function may not be available in some countries or regions.
Introduction
VAIO Media is a home networking application that allows you to enjoy media stored on other computers across your network. The computer containing this media is called a server. The computer using VAIO Media to access content from that server is called a client. The configuration of the server and clients in a network environment is illustrated below.

Hint
Even with only one computer (the computer acts as server and client), you can still enjoy your favorite media.
Storing Media on the Server
The media content that you can enjoy with VAIO Media is stored on the server. There are various ways to store the content but that depends on the type of media (music, photo, video).
Storing Media on the Server
Installing VAIO Media on a Client
VAIO Media has included a file that allows you to install the application on client computers on your network. This file is called the VAIO Media Installer. Once installed to clients computers on your network, you can begin streaming content from the server on your network.
Enjoying Music, Photos, Video, and Television on Other VAIO Computers
Building a Network
To access media on your computer from another computer, it is necessary to build a network.
In a wired LAN configuration, the clients and server are connected to a switching hub through Ethernet cables.

In a wireless LAN configuration, the clients and server are connected with the wireless access point through wireless connections. However, you may still connect some computers to the wireless access point with Ethernet cables, if desired.

Setting up the server for client access
In order to play back media files stored on the server from a client computer, you must configure the necessary server settings. When setting up the server, use VAIO Media Server Settings, the management software installed on the server.
To set up the server, perform the following operation.

To make these settings, you must log on to the server with the Administrator account or a user account with administrator privileges. For details, see "User Account Limitations".
1. | Click "Start", point to "All Programs", open "VAIO Media" and the "Servers" folder, and then click "VAIO Media Server Settings" VAIO Media Server Settings starts.
2. | Click the "Access Control Settings" page, and select "Make it possible for other devices on your network to access this computer" A warning message appears.
3. | After reading the message, click "OK".
Performing the above operation registers devices to access the server.
In the next step, in order to play back media files on the server from a client, you must perform settings to enable clients to connect to the server. See "Enabling clients to connect to the server".

Enabling clients to connect to the server
By selecting the check box next to "Make it possible for other devices on your network to access this computer", clients on the same network are registered to access the server. However, you must perform the following operation to enable client computers to actually connect to the server and play back the media files stored on it.
To make these settings, you must log on to the server and client with the Administrator account or a user account with administrator privileges. For details, see "User Account Limitations".

Verify the following before proceeding:
  • Write down the server's computer name. In VAIO Media, computer names are used to distinguish between server and client computers.
    To find the computer name, click "Start", right click on "My Computer", and select "Properties" from the menu that appears. The "Full computer name" under "Computer name" is the name given to that computer.
  • Start VAIO Media Server Settings on the server. Click "Start", point to "All Programs", open "VAIO Media" and the "Servers" folder, and then click "VAIO Media Server Settings".
  • Verify the following settings on the "Access Control Settings" page for VAIO Media Server Settings. The settings below are recommended.
    • "Make it possible for other devices on your network to access this computer" : Yes (Selected)
    • "Automatically allow new devices to connect" : No (Not selected)
    • "Display a message when a new device attempts to access this computer" : Yes (Selected)
Operations on the client computer:
1. | Click "Start", point to "All Programs", open "VAIO Media" and then click "VAIO Media". VAIO Media starts.
2. | Click any type of media file. A list of servers appears, and the computer name you wrote down for your server appears in gray. At this point, a message balloon also appears on the VAIO Media Server Settings icon in the system tray. You can now go on to the "Operations on the server" procedure below.
Operations on the server:
3.
Click the message balloon displayed in the system tray.
A dialog box appears for you to specify whether to grant access permission to the client.
4.
Click the "Allow" button.
This enables the client to connect to the server and play back media files stored on it. This client is now added to the "Devices on the network" list on the "Access Control Settings" page in VAIO Media Server Settings as a device with access permission.
Up to 20 clients with access permission and up to 16 clients awaiting access permission can be registered to a single server.
Hint
If you click Cancel in the message balloon, the client is added to the "Devices on the network" list on the "Access Control Settings" page in VAIO Media Server Settings as a device awaiting access permission. To play back media files on the server with this device, select it in the "Devices on the network" list, and click "Allow".

Protecting the media files stored on the server
If your server is connected directly to the Internet (not through a router) or you are connected to an intranet (such as in a condominium) that can readily be accessed by third parties, clients could be registered automatically to the server without your knowledge, allowing them access to your media files. To ensure that only specific devices can enjoy the media files on your server, you should normally set all other client devices to "Waiting" for access permission.
To set a client so it is awaiting access permission, select the device's name in the "Devices on the network" list in the "Access Control Settings" page of VAIO Media Server Settings, and then click "Do not Allow".

Registering devices manually
  • Device registration can be performed from a computer connected to the network on the same segment as the server.
  • If a client computer is equipped with multiple network interfaces (for example, a computer equipped with Ethernet and a wireless LAN) deactivate all network interfaces except the one that you want to use before registering the client. If there are several active network interfaces when you register the client, registration fails.
  • If you plan to use VAIO Media through several interfaces, you must register the client through each network interface separately.
  • When the client network interface changes, it is necessary to register the client again.
  • Up to 20 client devices can be registered to a single server. This number only includes devices with access permission and is displayed next to "Allowed devices" above the "Devices on the network" list in the "Access Control Settings" page of VAIO Media Server Settings. Devices registered manually are always granted access permission.

Operations on the client computer:

On the client computer click Start, point to All Programs, VAIO Media, and then click VAIO Media.
The VAIO Media main menu appears.
You must log on to the client with administrator access privileges to perform this procedure. For details, see "User Account Limitations".

Point to the left edge of the window, and then click Setting on the menu that appears.
The display changes as follows.

Click Register Device.
The VAIO Media Registration screen appears.

Click Start.

Operations on the server:

On the server computer click Start, point to All Programs, VAIO Media, Server Administration, and then click VAIO Media Server Settings.
The VAIO Media Server Settings dialog box appears.
You must log on to the server as a user with administrator access privileges to perform this procedure. For details, see "User Account Limitations".

On the "Access Control Settings" page, confirm that the "Make it possible for other devices on your network to access this computer" check box is selected.

Under Access Control Settings, click Register.
The device registration wizard starts.

Specify the registration method.
Select one of the following.
  • Normally, you should select the "Automatically register devices when connected to the network" option. Selecting this option, and then selecting the "Use the confirmation number to register your device" check box ensures the most secure registration possible.
  • You can register clients by using the MAC address of their network interface. If you choose to do so, select the "Manually register the device by entering the MAC address" option. Use this registration method when you cannot use the method above.

Click Next and follow the instructions on the screen to complete the client registration.
You must verify the screens of both the client and the server.

When using a firewall function
VAIO Media may not operate correctly on computers running the firewall function on Windows XP or using commercial firewall software. To use VAIO Media with these computers, you must set them to allow client-server connections.
Using VAIO Media with computers that have a firewall function


Storing Media on the Server
The media that you can envoy with VAIO media can be stored on the server through the following means.
  • Using the Preinstalled VAIO Software to Store Media
  • Saving media files in folders registered in VAIO Media Server Settings
The following only explains procedures to store media on a server where VAIO Media is installed. When using a server where VAIO Media is not installed, refer to the documentation provided with your server for details about how to store media on it.
Using the Preinstalled VAIO Software to Store Media
Use the preinstalled software below to store music, photos, or video on your computer and then enjoy it with VAIO Media. Using this method, the software used to store media varies according to the media.
Media type | Software
Music | SonicStage or VAIO Zone version 1.2 or later
Photos | PictureGear Studio PhotoCollection or VAIO Zone version 1.2 or later
Video/Television*1 | Giga Pocket, VAIO Zone, or Windows Media Center
*1
Functions for watching television can only be used on VAIO models running Giga Pocket Server 5.5 or later, or models installed with a TV tuner and running VAIO Zone. The television function may not be available in some countries or regions.
If you have upgraded to VAIO Media version 4.0 or later from an earlier version, the following points apply to photos stored before upgrading:
  • After upgrading the Photo Server Contents Manager can no longer be used. To allow you to view photos originally stored with the Photo Server Contents Manager after upgrading, the photo data is automatically transferred and the destination folder is automatically registered in VAIO Media Server Settings.
  • Some devices compatible with VAIO Media can rotate photos and save them with a new orientation. Upgrading may remove settings related to such photo rotation. In this case, perform photo rotation settings again.
Saving Media Files in Folders Registered in VAIO Media Server Settings
By registering the folders of your choice on the server in VAIO Media Server Settings, you can enjoy the files that they contain with VAIO Media. By doing so, you can enjoy media formats other than those supported by VAIO software.
If the files in the folders registered in VAIO Media Server Settings are of a type unsupported by VAIO Media Integrated Server, you cannot view, play back, and/or listen to these files on client computers.


Register Device

In this screen, you can register your computer as a client for another computer (the server).
To register clients, you must log on to your computer as a user with administrator access privileges.

What is Register Device?
Device Registration is a process that only permits clients that have registered to your server, access to its media.

The television function may not be available in some countries or regions.

The procedure requires you to perform actions on both the client computer and on the server.

Preparing your Network for use with VAIO Media


Enjoying Music, Photos, Video, and Television on Other VAIO Computers

Enjoying Music, Photos, Video, and Television
on Other VAIO Computers
The VAIO Media Installer can be copied to other VAIO computers. By installing VAIO Media on other computers, you can use VAIO Media to share music, photos, video and television*.
*
The television function may not be available in some countries or regions.

For details about the installer, perform the following:
Click Start, point to All Programs, VAIO Media, and then click Install VAIO Media to other VAIO PCs.


VAIO Media Ver.3.1 Help

Using VAIO Media with computers
that have a firewall function
If you enable the Firewall function in Windows Vista or Windows XP, or install other commercial firewall software, you may no longer be able to use VAIO Media, depending on the firewall settings. For example:
  • If the firewall is active on the server, client computers can no longer connect to the server with VAIO Media.
  • If the firewall is active on the client computer, it may not be able to find or connect to servers on the network.
For these reasons, you must configure your computer to allow client-server connections when using a firewall function. These settings will differ depending on the firewall function for your computer.
By making these settings, you are granting access privileges to certain ports and programs on your firewall so that VAIO Media can connect to other devices. Before following the steps below, note that doing so may also leave your computer open to access by unwanted parties.
With Windows Firewall for Windows XP Service Pack 2 or Windows Vista
You must add VAIO Media as an exception to Windows Firewall. To make these settings, log on to both the server and client computers as a user with administrator access privileges.
Server: | Configure the setting in VAIO Media Server Settings.
Client: | Configure the settings on the Firewall Settings screen of the VAIO Media settings screen.
With Windows XP Service Pack 1 "Internet Connection Firewall" (ICF)
You must open the port needed by VAIO Media. To make these settings, log on to both the server and client computers as a user with administrator access privileges.
Server: | Configure the setting in VAIO Media Server Settings.
Client: | When connected to an external network, a message will appear asking whether or not to grant access to VAIO Media. Click the Yes button.
Hint
Once port 1900 is opened for the client service "[VAIO Media] SSDP (Multicast)" and the server service "[VAIO Media] UPnP Server (SSDP)" (both using 1900), it remains open even though other ports are closed as necessary. The reason for this is that if port 1900 closes automatically, it may affect other programs. If port 1900 no longer needs to be open on your computer, delete it on the Windows XP ICF settings screen.
With Other Firewall Software
When using other firewall software on a computer running VAIO Media, you must obtain permission from your software to run the following files. For details about how to obtain such permission, refer to the documentation for your firewall software.
VAIO Media: | vc.exe, vmpclient.exe
VAIO Media Integrated Server: | upnpframework.exe, vmserversettings.exe, sv_httpd.exe, vmisvr.exe
Content Collection: | upnpframework.exe, vmserversettings.exe, sv_httpd.exe, vmisvr.exe, ucls.exe
Port number used by VAIO Media: | The port number of the port used by the server, which is displayed on the "Firewall" tab in VAIO Media Server Settings.
If you are using firewall software on the server, we strongly recommend that you activate the VAIO Media Server Settings device authentication mode. For details about the device authentication mode, refer to the VAIO Media Server Settings Help.

Back to "Preparing your Network for use with VAIO Media"